# Uses of Interface
org.springframework.jdbc.datasource.ConnectionHandle

Packages that use ConnectionHandle
Package
Description
org.springframework.jdbc.datasource
Provides a utility class for easy DataSource access, a PlatformTransactionManager for a single DataSource, and various simple DataSource implementations.

## Uses of ConnectionHandle in org.springframework.jdbc.datasource

Classes in org.springframework.jdbc.datasource that implement ConnectionHandle
Modifier and Type
Class
Description
`class`
`SimpleConnectionHandle`
Simple implementation of the `ConnectionHandle` interface, containing a given JDBC Connection.
Methods in org.springframework.jdbc.datasource that return ConnectionHandle
Modifier and Type
Method
Description
`ConnectionHandle`
ConnectionHolder.`getConnectionHandle()`
Return the ConnectionHandle held by this ConnectionHolder.
Constructors in org.springframework.jdbc.datasource with parameters of type ConnectionHandle
Modifier
Constructor
Description
``
`ConnectionHolder(ConnectionHandle connectionHandle)`
Create a new ConnectionHolder for the given ConnectionHandle.